<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
use Bookly\Backend\Modules\Settings\Proxy;

$codes = array(
    array( 'code' => 'appointment_date', 'description' => esc_html__( 'date of appointment', 'bookly' ) ),
    array( 'code' => 'appointment_time', 'description' => esc_html__( 'time of appointment', 'bookly' ) ),
    array( 'code' => 'booking_number',   'description' => esc_html__( 'booking number', 'bookly' ) ),
    array( 'code' => 'category_name',    'description' => esc_html__( 'name of category', 'bookly' ) ),
    array( 'code' => 'company_address',  'description' => esc_html__( 'address of company', 'bookly' ) ),
    array( 'code' => 'company_name',     'description' => esc_html__( 'name of company', 'bookly' ) ),
    array( 'code' => 'company_phone',    'description' => esc_html__( 'company phone', 'bookly' ) ),
    array( 'code' => 'company_website',  'description' => esc_html__( 'company web-site address', 'bookly' ) ),
    array( 'code' => 'service_info',     'description' => esc_html__( 'info of service', 'bookly' ) ),
    array( 'code' => 'service_name',     'description' => esc_html__( 'name of service', 'bookly' ) ),
    array( 'code' => 'service_price',    'description' => esc_html__( 'price of service', 'bookly' ) ),
    array( 'code' => 'staff_email',      'description' => esc_html__( 'email of staff', 'bookly' ) ),
    array( 'code' => 'staff_info',       'description' => esc_html__( 'info of staff', 'bookly' ) ),
    array( 'code' => 'staff_name',       'description' => esc_html__( 'name of staff', 'bookly' ) ),
    array( 'code' => 'staff_phone',      'description' => esc_html__( 'phone of staff', 'bookly' ) ),
);

$codes = Proxy\Shared::prepareCalendarAppointmentCodes( $codes, 'many' );

echo Bookly\Lib\Utils\Common::codes( $codes );